> ## Documentation Index
> Fetch the complete documentation index at: https://docs.roe-ai.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete an Agent

> Delete a specific base agent.

<RequestExample>
  ```bash cURL theme={null}
  curl --request DELETE \
    --url "https://api.roe-ai.com/v1/agents/YOUR_AGENT_ID/" \
    --header "Authorization: Bearer YOUR_API_KEY"
  ```
</RequestExample>


## OpenAPI

````yaml DELETE /v1/agents/{agent_id}/
openapi: 3.1.0
info:
  title: Roe API
  version: 1.0.0
  description: Complete API documentation for Roe platform
servers:
  - url: https://api.roe-ai.com
    description: Production API
security: []
paths:
  /v1/agents/{agent_id}/:
    delete:
      tags:
        - v1
      summary: Delete a base agent.
      description: Delete a specific base agent.
      operationId: v1_agents_destroy
      parameters:
        - in: path
          name: agent_id
          schema:
            type: string
            format: uuid
          description: A UUID string identifying this base agent.
          required: true
        - name: organization_id
          in: query
          required: false
          schema:
            type: string
            format: uuid
          description: >-
            Organization ID. This is required for access control. It can be
            provided via query or request body depending on the endpoint.
      responses:
        '204':
          description: Base agent deleted successfully.
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetailResponse'
          description: >-
            Permission to delete this base agent denied or access to Agents
            feature is forbidden.
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorDetailResponse'
          description: Base agent ID doesn't exist.
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/QdrantCleanupErrorResponse'
          description: Base agent deleted but Qdrant collection cleanup failed.
      security:
        - apiKeyAuth: []
components:
  schemas:
    ErrorDetailResponse:
      type: object
      description: 'DRF default error body: NotFound, PermissionDenied, Http404, etc.'
      properties:
        detail:
          type: string
          description: Human-readable error detail
      required:
        - detail
    QdrantCleanupErrorResponse:
      type: object
      description: 500 body when deleting an agent/version fails Qdrant collection cleanup.
      properties:
        detail:
          type: string
          description: Human-readable error detail
        failed_collections:
          type: array
          items:
            type: string
          description: Qdrant collections that could not be deleted
      required:
        - detail
        - failed_collections
  securitySchemes:
    apiKeyAuth:
      type: http
      scheme: bearer
      description: >-
        Organization API key passed as a Bearer token. This is the scheme used
        by the public SDK surface.

````